<ng-container *tuiLet="xs$ | async as xs">
  <ng-container *tuiLet="sm$ | async as sm">
    <ng-container *tuiLet="md$ | async as md">
      <ng-container *tuiLet="lg$ | async as lg">
        <ng-container *tuiLet="isOfficesLoading$ | async as isOfficesLoading">
          <!--main-->
          <main
            #main
            *tuiLet="offices$ | async as offices"
            class="main-layout"
            [class.-translate-x-full]="xs && detailsOpened"
            [class.!overflow-visible]="xs && detailsOpened"
          >
            <!--    tabs-->
            <div *ngIf="xs || sm" class="mb-6 flex">
              <button
                type="button"
                class="flex-grow border-b-2 p-5 text-center text-sm hover:opacity-80"
                [class]="
                  activeTabIndex === 0
                    ? 'border-yellow text-black'
                    : 'border-gray-300 text-gray-700'
                "
                (click)="setActiveTabIndex(0)"
              >
                <span>На карте</span>
              </button>
              <button
                type="button"
                class="flex-grow border-b-2 p-5 text-center text-sm hover:opacity-80"
                [class]="
                  activeTabIndex === 1
                    ? 'border-yellow text-black'
                    : 'border-gray-300 text-gray-700'
                "
                (click)="setActiveTabIndex(1)"
              >
                <span>Списком</span>
              </button>
            </div>
            <!--  filter-->
            <div
              class="mb-5 flex gap-[3px] md:col-start-1 md:col-end-2 md:row-start-1 md:row-end-2 md:mb-0"
            >
              <button
                *ngFor="let action of filterActions"
                type="button"
                appearance="outline"
                class="min-w-14 flex flex-grow flex-col items-center rounded-sm border px-3.5 pt-2.5 pb-3 transition-colors hover:border-yellow"
                [ngClass]="
                  action.id === (currentFilter$ | async)
                    ? 'border-yellow bg-yellow'
                    : 'border-gray-400 bg-white'
                "
                (click)="setActiveFilter(action.id)"
              >
                <tui-svg
                  [src]="'icons::' + action.id"
                  class="!h-[18px] !w-[15px]"
                  class="mb-0.5 text-black"
                ></tui-svg>
                <span class="text-4xs font-normal text-black sm:text-3xs">{{
                  action.name
                }}</span>
              </button>
            </div>
            <!--  select-->
            <div
              *tuiLet="cities$ | async as cities"
              class="mb-7 md:col-start-1 md:col-end-2 md:row-start-2 md:row-end-3 md:mb-0"
            >
              <tui-loader [showLoader]="isOfficesLoading">
                <tui-select
                  tuiTextfieldSize="m"
                  [formControl]="city"
                  [tuiTextfieldLabelOutside]="true"
                >
                  <tui-data-list-wrapper
                    *tuiDataList
                    [items]="cities"
                  ></tui-data-list-wrapper>
                </tui-select>
              </tui-loader>
            </div>
            <div
              *ngIf="((xs || sm) && activeTabIndex === 0) || !(xs || sm)"
              class="relative h-96 md:absolute md:inset-0 md:-z-10 md:h-full"
            >
              <ng-container
                *tuiLet="filteredOffices$ | async as filteredOffices"
              >
                <app-map
                  [latitude]="currentOffice && currentOffice.geo_x"
                  [longitude]="currentOffice && currentOffice.geo_y"
                  [points]="filteredOffices"
                  [zoom]="mapZoom"
                  [disableScrollZoom]="true"
                  (pointSelect)="showDetails($event, details)"
                ></app-map>
              </ng-container>
            </div>
            <div
              *ngIf="((xs || sm) && activeTabIndex === 1) || !(xs || sm)"
              class="rounded-sm bg-white md:col-start-1 md:col-end-2 md:row-start-3 md:row-end-4 md:p-5 md:pr-2 md:shadow-md"
              [class.hidden]="xs && detailsOpened"
            >
              <tui-loader
                [showLoader]="isOfficesLoading || isFilterLoading"
                class="h-full"
              >
                <tui-scrollbar
                  *tuiLet="filteredOffices$ | async as filteredOffices"
                  class="scroll-yellow h-full"
                  [class.opacity-0]="isOfficesLoading || isFilterLoading"
                >
                  <div class="pr-3">
                    <div
                      *ngFor="let office of filteredOffices"
                      class="mb-5 grid grid-cols-[1fr_repeat(3,auto)] grid-rows-[repeat(2,auto)] items-center gap-1.5"
                    >
                      <span
                        class="relative col-start-1 col-end-2 row-start-1 row-end-2 justify-self-start text-sm text-blue before:absolute before:bottom-0 before:left-0 before:w-full before:border-b before:border-dashed before:border-blue hover:cursor-pointer"
                        [class.font-bold]="office === currentOffice"
                        [class.before:border-b-2]="office === currentOffice"
                        (click)="showDetails(office, details)"
                        >{{ office.name }}</span
                      >
                      <p
                        class="col-start-1 col-end-2 row-start-2 row-end-3 text-3xs"
                      >
                        {{ office.address }}
                      </p>
                      <button
                        tuiIconButton
                        type="button"
                        appearance="icon"
                        icon="icons::get"
                        tuiHint="Выдача грузов"
                        tuiHintAppearance="onDark"
                        size="xs"
                        class="col-start-2 col-end-3 row-start-1 row-end-2 opacity-50"
                        [class.opacity-100]="office.get === '1'"
                      ></button>
                      <button
                        tuiIconButton
                        type="button"
                        appearance="icon"
                        icon="icons::give"
                        tuiHint="Прием грузов"
                        tuiHintAppearance="onDark"
                        size="xs"
                        class="col-start-3 col-end-4 row-start-1 row-end-2 opacity-50"
                        [class.opacity-100]="office.give === '1'"
                      ></button>
                      <button
                        tuiIconButton
                        type="button"
                        appearance="icon"
                        icon="icons::office"
                        tuiHint="Офис"
                        tuiHintAppearance="onDark"
                        size="xs"
                        class="col-start-4 col-end-5 row-start-1 row-end-2 opacity-50"
                        [class.opacity-100]="office.office_id === '1'"
                      ></button>
                    </div>
                  </div>
                  <p
                    *ngIf="filteredOffices && !filteredOffices.length"
                    class="mt-5 text-center text-sm text-gray-500"
                  >
                    Офис не найден...
                  </p>
                </tui-scrollbar>
              </tui-loader>
            </div>
            <div
              *ngIf="!md"
              class="mt-9 mb-14 flex max-w-[430px] flex-wrap gap-2 self-start rounded-sm bg-yellow pt-4 pr-7 pb-6 pl-5 shadow-xl transition-all lg:col-span-3 lg:col-start-3 lg:row-start-1 lg:row-end-3 lg:mt-0 lg:mb-0"
            >
              <p class="mb-0.5 basis-full">
                Единая справочная
                <span class="lg:hidden xl:inline-block"
                  >для всего Приморского края</span
                >:
              </p>
              <a href="tel:+7(423) 205-86-27" class="mgo-number-13954 mr-4">
                <tui-svg
                  src="icons::headphone"
                  class="mr-2.5 !h-[16px] !w-[19px]"
                ></tui-svg>
                <span class="text-sm font-medium">+7 (423) 205-86-27</span>
              </a>
              <a href="mailto:inbox@busbox.guru">
                <tui-svg
                  src="icons::email"
                  class="mr-2.5 !h-[16px] !w-[19px]"
                ></tui-svg>
                <span
                  class="border-b border-dashed border-black text-sm font-medium"
                  >inbox@busbox.guru</span
                >
              </a>
            </div>
            <div
              *ngIf="xs || sm || (lg && detailsOpened)"
              class="col-start-2 col-end-3 row-start-1 row-end-6 rounded-sm bg-white lg:col-span-4 lg:col-start-2 lg:row-start-3 lg:row-end-3"
            >
              <tui-loader
                [showLoader]="isCurrentOfficeLoading"
                class="lg:h-full"
              >
                <ng-container *ngTemplateOutlet="details"></ng-container>
              </tui-loader>
            </div>
          </main>
          <ng-template #details let-observer>
            <div
              class="relative h-full sm:p-5 lg:p-6 lg:pt-8 xl:pt-8 xl:pr-4 xl:pb-14 xl:pl-8"
            >
              <button
                *ngIf="xs; else close"
                tuiButton
                type="button"
                class="mb-8 w-full"
                (click)="closeDetails()"
              >
                Назад
              </button>
              <ng-template #close>
                <button
                  tuiIconButton
                  type="button"
                  appearance="icon"
                  icon="icons::close-2"
                  class="!absolute top-0 right-0"
                  (click)="closeDetails(observer)"
                ></button>
              </ng-template>
              <b class="text-xl">{{ currentOffice && currentOffice.name }}</b>
              <small class="mb-8 mt-1 block text-xs text-yellow">{{
                getOfficeStatus(currentOffice)
              }}</small>
              <tui-scrollbar
                *ngIf="currentOffice"
                class="scroll-yellow lg:h-80"
              >
                <div
                  class="grid gap-y-8 sm:grid-cols-2 sm:gap-y-0 sm:gap-x-4 xl:gap-x-11 xl:pr-5"
                >
                  <div>
                    <div class="mb-7 grid grid-cols-[auto_1fr] text-sm">
                      <tui-svg
                        src="icons::point"
                        class="col-start-1 row-start-2 row-end-3 mr-3 text-gray-500"
                      ></tui-svg>
                      <p class="col-start-2 col-end-3 row-start-1 row-end-2">
                        {{ currentOffice.address }}
                      </p>
                      <span
                        class="relative col-start-2 col-end-3 row-start-2 row-end-3 justify-self-start text-gray-700 before:absolute before:left-0 before:bottom-0 before:w-full before:border-b before:border-dashed before:border-gray-700 hover:cursor-pointer"
                        (click)="showOnMap(xs || sm || md, currentOffice)"
                        >Посмотреть на карте</span
                      >
                    </div>
                    <div class="mb-7 grid grid-cols-[auto_1fr] text-sm">
                      <tui-svg
                        src="icons::alarm"
                        class="col-start-1 row-start-2 row-end-3 mr-3 text-gray-500"
                      ></tui-svg>
                      <p
                        class="col-start-2 col-end-3 row-start-1 row-end-2 text-gray-500"
                      >
                        График работы:
                      </p>
                      <span
                        class="relative col-start-2 col-end-3 row-start-2 row-end-3"
                        >{{ currentOffice.worktime }}</span
                      >
                    </div>
                    <div class="mb-7 grid grid-cols-[auto_1fr] text-sm">
                      <tui-svg
                        src="icons::union"
                        class="col-start-1 row-start-2 row-end-3 mr-3 text-gray-500"
                      ></tui-svg>
                      <p class="col-start-2 col-end-3 row-start-1 row-end-2">
                        Контакты для связи:
                      </p>
                      <b
                        class="relative col-start-2 col-end-3 row-start-2 row-end-3 font-medium"
                        >{{ currentOffice.phone }}</b
                      >
                    </div>
                    <div class="grid grid-cols-[auto_1fr] text-sm">
                      <tui-svg
                        src="icons::email"
                        class="col-start-1 row-start-2 row-end-3 mr-3 text-blue"
                      ></tui-svg>
                      <p class="col-start-2 col-end-3 row-start-1 row-end-2">
                        Почта отделения:
                      </p>
                      <a
                        href="mailto:inbox@busbox.guru"
                        class="relative col-start-2 col-end-3 row-start-2 row-end-3 justify-self-start font-medium text-blue"
                        >inbox@busbox.guru</a
                      >
                    </div>
                  </div>
                  <div>
                    <div class="mb-6">
                      <app-img
                        class="h-60 w-full rounded-sm object-cover lg:h-48"
                        [src]="
                          '/assets/images/contacts/offices/' + currentOffice.id
                        "
                      ></app-img>
                    </div>
                    <p class="text-xs">
                      За содержимое грузов и документов (далее — отправление)
                      несет ответственность лицо, являющееся Отправителем.
                    </p>
                  </div>
                </div>
              </tui-scrollbar>
              <button
                *ngIf="xs"
                tuiButton
                type="button"
                class="mt-5 mb-5 w-full"
                (click)="closeDetails()"
              >
                Назад
              </button>
            </div>
          </ng-template>
        </ng-container>
      </ng-container>
    </ng-container>
  </ng-container>
</ng-container>
